package com.swago.baseswago.model;

import java.util.List;

/**
 * @date 2021/8/28 14:46
 * description:
 */
public class BlackListModel {

    /**
     * count : 5
     * list : [{"user_name":"swago000014","id":14,"user_head_img_url":"","user_signature":"","user_sex":0,"created_at":"2021-08-28 14:10:39"},{"user_name":"swago000014","id":14,"user_head_img_url":"","user_signature":"","user_sex":0,"created_at":"2021-08-28 14:10:40"},{"user_name":"swago000040","id":40,"user_head_img_url":"","user_signature":"","user_sex":0,"created_at":"2021-08-28 14:12:14"},{"user_name":"swago000040","id":40,"user_head_img_url":"","user_signature":"","user_sex":0,"created_at":"2021-08-28 14:12:28"},{"user_name":"swago000067","id":67,"user_head_img_url":"","user_signature":"","user_sex":0,"created_at":"2021-08-28 14:13:10"}]
     */

    private int count;
    /**
     * user_name : swago000014
     * id : 14
     * user_head_img_url :
     * user_signature :
     * user_sex : 0
     * created_at : 2021-08-28 14:10:39
     */

    private List<ListBean> list;

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean {
        private String user_name;
        private String user_account;
        private String id;
        private String user_head_img_url;
        private String user_signature;
        private int user_sex;
        private String created_at;

        public String getUser_name() {
            return user_name;
        }

        public void setUser_name(String user_name) {
            this.user_name = user_name;
        }

        public String getUser_account() {
            return user_account;
        }

        public void setUser_account(String user_account) {
            this.user_account = user_account;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getUser_head_img_url() {
            return user_head_img_url;
        }

        public void setUser_head_img_url(String user_head_img_url) {
            this.user_head_img_url = user_head_img_url;
        }

        public String getUser_signature() {
            return user_signature;
        }

        public void setUser_signature(String user_signature) {
            this.user_signature = user_signature;
        }

        public int getUser_sex() {
            return user_sex;
        }

        public void setUser_sex(int user_sex) {
            this.user_sex = user_sex;
        }

        public String getCreated_at() {
            return created_at;
        }

        public void setCreated_at(String created_at) {
            this.created_at = created_at;
        }
    }
}
